Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » ESDK Europa: Error installing WTP bundle javax.servlet_2.4.0.v200706111738.jar
ESDK Europa: Error installing WTP bundle javax.servlet_2.4.0.v200706111738.jar [message #101657] Tue, 20 November 2007 10:22 Go to next message
Francesco Valle is currently offline Francesco ValleFriend
Messages: 7
Registered: July 2009
Junior Member
Hi everyone,

yesterday I installed WTP and VE separately into an extension location.
This morning I installed also the new Maven IAM plugin, and after that I
received a only some warning complaining that some WTP plugins were
duplicated, I didn't care about it because just now it seems to work all
well.

But just now that I am preparing a RCP Application project made by some
view and oen editor, I encountered the "Error installing WTP bundle
javax.servlet_2.4.0.v200706111738.jar". Pratically until now I added only
some view and all works well, but when I try to add the plugin extension
of the editor both with the template Single Editor and Multipage Editor I
receive the following exception. Please could you help me to solve this
problem, thanks in advance.

!SESSION 2007-11-20 10:50:38.759
-----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_02
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=it_IT
Framework arguments: -product PluginSample.product
Command-line arguments: -product PluginSample.product -data
D:\apps\dev\ibm\sdk\eclipse\europa-fall2\ws/../runtime-Plugi nSample.product
-dev
file:D:/apps/dev/ibm/sdk/eclipse/europa-fall2/ws/.metadata/. plugins/org.eclipse.pde.core/PluginSample.product/dev.proper ties
-os win32 -ws win32 -arch x86

!ENTRY org.eclipse.osgi 4 0 2007-11-20 10:50:39.679
!MESSAGE Error installing bundle:
reference:file:../../extensions/wtp-sdk-S-3.0M1-200708232314 /eclipse/plugins/javax.servlet_2.4.0.v200706111738.jar/
!STACK 0
org.osgi.framework.BundleException: Bundle "javax.servlet" version
"2.4.0.v200706111738" has already been installed from:
initial@reference:file:plugins/javax.servlet_2.4.0.v200706111738.jar/
at
org.eclipse.osgi.framework.internal.core.Framework.createAnd VerifyBundle(Framework.java:642)
at
org.eclipse.osgi.framework.internal.core.Framework.installWo rkerPrivileged(Framework.java:909)
at
org.eclipse.osgi.framework.internal.core.Framework$2.run(Fra mework.java:824)
at java.security.AccessController.doPrivileged(Native Method)
at
org.eclipse.osgi.framework.internal.core.Framework.installWo rker(Framework.java:875)
at
org.eclipse.osgi.framework.internal.core.Framework.installBu ndle(Framework.java:819)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.i nstallBundle(BundleContextImpl.java:229)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.installBundl es(EclipseStarter.java:1064)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBun dles(EclipseStarter.java:621)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(Ecli pseStarter.java:303)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:172)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 508)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:447)
at org.eclipse.equinox.launcher.Main.run(Main.java:1173)
at org.eclipse.equinox.launcher.Main.main(Main.java:1148)

!ENTRY org.eclipse.equinox.app 2007-11-20 10:50:39.913
!MESSAGE Product PluginSample.product could not be found.

!ENTRY org.eclipse.osgi 4 0 2007-11-20 10:50:39.929
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at
org.eclipse.equinox.internal.app.EclipseAppContainer.startDe faultApp(EclipseAppContainer.java:236)
at
org.eclipse.equinox.internal.app.EclipseAppContainer.start(E clipseAppContainer.java:98)
at
org.eclipse.equinox.internal.app.Activator.addingService(Act ivator.java:112)
at
org.osgi.util.tracker.ServiceTracker$Tracked.trackAdding(Ser viceTracker.java:1064)
at
org.osgi.util.tracker.ServiceTracker$Tracked.trackInitialSer vices(ServiceTracker.java:926)
at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.jav a:330)
at org.osgi.util.tracker.ServiceTracker.open(ServiceTracker.jav a:274)
at org.eclipse.equinox.internal.app.Activator.start(Activator.j ava:54)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
at java.security.AccessController.doPrivileged(Native Method)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tartActivator(BundleContextImpl.java:993)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:974)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
at
org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.fin dLocalClass(DefaultClassLoader.java:189)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLo calClass(BundleLoader.java:340)
at
org.eclipse.osgi.framework.internal.core.SingleSourcePackage .loadClass(SingleSourcePackage.java:37)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findCl assInternal(BundleLoader.java:405)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:369)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:357)
at
org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loa dClass(DefaultClassLoader.java:83)
at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319 )
at
org.eclipse.core.internal.runtime.PlatformActivator.startApp Container(PlatformActivator.java:47)
at
org.eclipse.core.internal.runtime.PlatformActivator.start(Pl atformActivator.java:32)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
at java.security.AccessController.doPrivileged(Native Method)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tartActivator(BundleContextImpl.java:993)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:974)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:350)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1118)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:634)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:508)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:282)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:468)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:195)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:297)

!ENTRY org.eclipse.osgi 2 0 2007-11-20 10:50:39.944
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-11-20 10:50:39.944
!MESSAGE Bundle initial@reference:file:../ws/PluginSample/ was not
resolved.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.ui.ide_0.0.0.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.core.resources_0.0.0.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.ui.editors_0.0.0.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.jface.text_0.0.0.

!ENTRY org.eclipse.osgi 2 0 2007-11-20 10:50:39.944
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2007-11-20 10:50:39.944
!MESSAGE Bundle initial@reference:file:../ws/PluginSample/ [38] was not
resolved.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.jface.text_0.0.0.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.core.resources_0.0.0.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.ui.editors_0.0.0.
!SUBENTRY 2 PluginSample 2 0 2007-11-20 10:50:39.944
!MESSAGE Missing required bundle org.eclipse.ui.ide_0.0.0.




Best Regards.
[SOLVED] Re: ESDK Europa: Error installing WTP bundle ... [message #101671 is a reply to message #101657] Tue, 20 November 2007 10:55 Go to previous message
Francesco Valle is currently offline Francesco ValleFriend
Messages: 7
Registered: July 2009
Junior Member
I report the solution just for other people encountering the same sickly
problem :p

Open "Open run dialog...", select "Eclipse Application/Your Plugin
Launcher".

Change to tab "Plug-ins" and press "Add required Plug-ins". Even if I did
not tried, I think that it could be useful to check also "Add new
workspace plug-ins to this launch configuration automatically". In fact my
problem was that I had added all required plugins only in the section
"Dependencies/Required plug-ins" of the Plugin Configurator, but not in
the workspace used at runtime by the RCP.
Previous Topic:Developing application using Equinox + Swing under Mac OS X
Next Topic:Re: Plugin classes conflict
Goto Forum:
  


Current Time: Fri Oct 22 14:21:21 GMT 2021

Powered by FUDForum. Page generated in 0.01825 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top